<?php

namespace App\Http\Requests\V3\LogList;

use Illuminate\Foundation\Http\FormRequest;

class StoreRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'description' =>'required|string',
            'log_unique_code' =>'required|numeric|unique:log_lists,log_unique_code',
            'action_type' =>'required|string',
        ];
    }
}
